Bug 144426 - internal compiler error in stabilize_call at cp/tree.c
internal compiler error in stabilize_call at cp/tree.c
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gcc32 (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-06 17:29 EST by Dries Verachtert
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-07 09:35:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 19312 None None None Never

  None (edit)
Description Dries Verachtert 2005-01-06 17:29:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
When i try to build xparam-1.22 on fedora core 3 x86, i get the following error with gcc 3.4.2-6.fc3 while compiling sources/xp_regtype_null.cpp:

sources/../xparam/xpv_ctor_imp.h: In static member function `static TARGET* xParam_internal::Creat
eWithNew_1<TARGET, ARG_0>::create(ARG_0) [with TARGET = xParam_internal::UntypedNull, ARG_0 = xPar
am_internal::UntypedNull]':
sources/../xparam/xpv_ctor_imp.h:77:   instantiated from `xParam_internal::Handle<xParam_internal:
:Value> xParam_internal::TypedCtor_1<TARGET, CREATOR, ARG_PASSER_0>::actual_create(const xParam_in
ternal::ValueList&) const [with TARGET = xParam_internal::UntypedNull, CREATOR = xParam_internal::
CreateWithNew_1<xParam_internal::UntypedNull, xParam_internal::UntypedNull>, ARG_PASSER_0 = xParam
_internal::ByVal<xParam_internal::UntypedNull>]'
sources/xp_regtype_null.cpp:66:   instantiated from here
sources/../xparam/xpv_ctor_imp.h:86: internal compiler error: in stabilize_call, at cp/tree.c:2478
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccFaXRiV.out file, please attach this to your bugreport.



Version-Release number of selected component (if applicable):
gcc-c++-3.4.2-6.fc3 (almost same problem with gcc-c++-4.0.0-0.8)

How reproducible:
Always

Steps to Reproduce:
1. Get the attached file test.cpp
2. run 'g++ -c test.cpp' on an updated fc3/x86
or
2. run 'g++4 -c test.cpp' on an updated fc3/x86
    

Actual Results:  Internal errors as described in the Description field

Expected Results:  a normal error or a nice .o file

Additional info:

xparam 1.22 which generates the error can be downloaded at: 
http://prdownloads.sourceforge.net/xparam/xparam-1.22.tar.gz
The spec file which i used (i'm rebuilding/testing stuff on fc3):
http://svn.rpmforge.net/svn/trunk/rpms/xparam/xparam.spec
Comment 1 Dries Verachtert 2005-01-06 17:29:38 EST
I copied the file /tmp/ccFaXRiV.out to ~/test.cpp and i tested it 
with some versions of gcc-c++ : 
 
##### 
Test with gcc 3.3: this works ok 
 
[dries@delirium ~] rpm -q compat-gcc-c++ ; g++33 -v 
compat-gcc-c++-8-3.3.4.2 
Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/3.3.4/specs 
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man 
--infodir=/usr/share/info --enable-shared --enable-threads=posix 
--disable-checking --disable-libunwind-exceptions --with-system-zlib 
--enable-__cxa_atexit --enable-languages=c,c++,objc,java,f77 
--host=i386-redhat-linux 
Thread model: posix 
gcc version 3.3.4 20040817 (Red Hat Linux 3.3.4-2) 
[dries@delirium ~] rm -f test.o; g++33 -c test.cpp && ls -l test.o 
-rw-rw-r--  1 dries dries 186452 Jan  6 23:17 test.o 
 
##### 
Test with gcc 3.4 : not ok 
 
[dries@delirium ~] rpm -q gcc-c++ ; g++ -v 
gcc-c++-3.4.2-6.fc3 
Reading specs from /usr/lib/gcc/i386-redhat-linux/3.4.2/specs 
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man 
--infodir=/usr/share/info --enable-shared --enable-threads=posix 
--disable-checking --with-system-zlib --enable-__cxa_atexit 
--disable-libunwind-exceptions --enable-java-awt=gtk 
--host=i386-redhat-linux 
Thread model: posix 
gcc version 3.4.2 20041017 (Red Hat 3.4.2-6.fc3) 
[dries@delirium ~] rm -f test.o; g++ -c test.cpp && ls -l test.o 
sources/../xparam/xpv_ctor_imp.h: In static member function `static 
TARGET* xParam_internal::CreateWithNew_1<TARGET, 
ARG_0>::create(ARG_0) [with TARGET = xParam_internal::UntypedNull, 
ARG_0 = xParam_internal::UntypedNull]': 
sources/../xparam/xpv_ctor_imp.h:77:   instantiated from 
`xParam_internal::Handle<xParam_internal::Value> 
xParam_internal::TypedCtor_1<TARGET, CREATOR, 
ARG_PASSER_0>::actual_create(const xParam_internal::ValueList&) const 
[with TARGET = xParam_internal::UntypedNull, CREATOR = 
xParam_internal::CreateWithNew_1<xParam_internal::UntypedNull, 
xParam_internal::UntypedNull>, ARG_PASSER_0 = 
xParam_internal::ByVal<xParam_internal::UntypedNull>]' 
sources/xp_regtype_null.cpp:77:   instantiated from here 
sources/../xparam/xpv_ctor_imp.h:86: internal compiler error: in 
stabilize_call, at cp/tree.c:2478 
Please submit a full bug report, 
with preprocessed source if appropriate. 
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions. 
Preprocessed source stored into /tmp/cc8jlWMr.out file, please attach 
this to your bugreport. 
 
##### 
Test with g++ 4 : not ok, different line number in tree.c 
 
[dries@delirium ~] rpm -q gcc4-c++ ; g++4 -v 
gcc4-c++-4.0.0-0.8 
Reading specs from /usr/lib/gcc/i386-redhat-linux/4.0.0/specs 
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man 
--infodir=/usr/share/info --enable-shared --enable-threads=posix 
--enable-checking=release --with-system-zlib --enable-__cxa_atexit 
--disable-libunwind-exceptions 
--with-gxx-include-dir=/usr/include/c++/3.4.2 
--enable-languages=c,c++,f95 --disable-libgcj 
--host=i386-redhat-linux 
Thread model: posix 
gcc version 4.0.0 20041019 (Red Hat 4.0.0-0.8) 
[dries@delirium ~] rm -f test.o; g++4 -c test.cpp && ls -l test.o 
sources/../xparam/xpv_ctor_imp.h: In static member function `static 
TARGET* xParam_internal::CreateWithNew_1<TARGET, 
ARG_0>::create(ARG_0) [with TARGET = xParam_internal::UntypedNull, 
ARG_0 = xParam_internal::UntypedNull]': 
sources/../xparam/xpv_ctor_imp.h:77:   instantiated from 
`xParam_internal::Handle<xParam_internal::Value> 
xParam_internal::TypedCtor_1<TARGET, CREATOR, 
ARG_PASSER_0>::actual_create(const xParam_internal::ValueList&) const 
[with TARGET = xParam_internal::UntypedNull, CREATOR = 
xParam_internal::CreateWithNew_1<xParam_internal::UntypedNull, 
xParam_internal::UntypedNull>, ARG_PASSER_0 = 
xParam_internal::ByVal<xParam_internal::UntypedNull>]' 
sources/xp_regtype_null.cpp:66:   instantiated from here 
sources/../xparam/xpv_ctor_imp.h:86: internal compiler error: in 
stabilize_call, at cp/tree.c:2283 
Please submit a full bug report, 
with preprocessed source if appropriate. 
See <URL:http://gcc.gnu.org/bugs.html> for instructions. 
Preprocessed source stored into /tmp/ccNIKHF8.out file, please attach 
this to your bugreport. 
 
 
The attached file test.cpp is a preprocessed file (generated with gcc 
3.4) which produces the error with gcc 4 and gcc 3.4 but not with gcc 
3.3. 
 
Please let me know if you need more information or if i should copy 
this bugreport at http://gcc.gnu.org/bugs.html (this url is mentioned 
in the errormessage of gcc 4 but not in the error message of gcc 3.4) 
 
Comment 2 Dries Verachtert 2005-01-06 17:39:35 EST
Apparently uploading such a large preprocessed file is not 
allowed :-) 
 
You can find the test.ccp file at: 
http://dries.ulyssis.org/test.cpp 
Comment 3 Jakub Jelinek 2005-01-07 09:35:16 EST
Well, you could bzip2 -9 it or gzip -9 it and it would certainly fit.
Anyway, I have distilled a small testcase from it and moved upstream:
http://gcc.gnu.org/PR19312

Note You need to log in before you can comment on or make changes to this bug.